Bug 126368 - crash if isodir contains bad link
crash if isodir contains bad link
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-20 08:00 EDT by frank van dijk
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 15:10:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description frank van dijk 2004-06-20 08:00:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I run fedora core 2, and have the cd images on an ext2 partition
containing an old linux installation. The partition is mounted on
/mnt/other, and the isos are located in /mnt/other/home/frank.

This directory happens to have a symlink
'.DCOPserver_localhost.localdomain' pointing to
'/home/frank/.DCOPserver_localhost.localdomain_:0', which does not
exist in this mount context.

When invoking 'system-config-packages --isodir=/mnt/other/home/frank'
it crashes with the traceback below.

As system-config-packages does not need to use the link, it should
ignore the fact that that it points to nothing.

A workaround is to create a subdir, moving the iso images into that
dir and using that dir for --isodir.
 	
Traceback (most recent call last):
  File "/usr/share/system-config-packages/MainWindow.py", line 160, in ?
    im = get_method(args)
  File "/usr/share/system-config-packages/config.py", line 57, in
get_method
    return method.LoopbackIsoInstallMethod(isodir)
  File "/usr/share/system-config-packages/method.py", line 342, in
__init__
    self.discImages = findIsoImages(tree)
  File "/usr/share/system-config-packages/method.py", line 859, in
findIsoImages
    diskutil.losetup(loopDev, what, readOnly = 1)
  File "/usr/lib/python2.3/site-packages/rhpl/diskutil.py", line 82,
in losetup
    targ = os.open(file, mode)
OSError: [Errno 2] No such file or directory:
'/mnt/other/home/frank/.DCOPserver_localhost.localdomain'


Version-Release number of selected component (if applicable):
1.2.12

How reproducible:
Always

Steps to Reproduce:
1. have the iso images in a dir together with a broken symlink
(perhaps the symlink must occur before the images in the dir-list)
2. run system-config-packages --isodir=<path/to/that/dir>

    

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:10:40 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Jeremy Katz 2005-09-21 15:10:52 EDT
Closing as fixed in a later release

Note You need to log in before you can comment on or make changes to this bug.